package com.yd.api.practitioner.vo.article;

import java.util.Date;

public class ArticleShareCodeSaveRequestVO {

    /**
     * 分类类别id
     */
    private Long itemId;

    /**
     * 经纪人ID
     */
    private Long practitionerId;

    /**
     * 分享码
     */
    private String shareCode;

    /**
     * FK ag_acl_customer.id
     */
    private Long customerId;

    /**
     * 1. ios, 2.android 3.windows 4. mac os  5. Linux  6. other
     */
    private Integer os;

    /**
     * 1. wechat  2. wechat friend 3.QQ  4. QZone  5.weibo
     */
    private Integer channel;

    /**
     * entire url of shared link
     */
    private String url;

    public Long getItemId() {
        return itemId;
    }

    public void setItemId(Long itemId) {
        this.itemId = itemId;
    }

    public Long getPractitionerId() {
        return practitionerId;
    }

    public void setPractitionerId(Long practitionerId) {
        this.practitionerId = practitionerId;
    }

    public String getShareCode() {
        return shareCode;
    }

    public void setShareCode(String shareCode) {
        this.shareCode = shareCode;
    }

    public Long getCustomerId() {
        return customerId;
    }

    public void setCustomerId(Long customerId) {
        this.customerId = customerId;
    }

    public Integer getOs() {
        return os;
    }

    public void setOs(Integer os) {
        this.os = os;
    }

    public Integer getChannel() {
        return channel;
    }

    public void setChannel(Integer channel) {
        this.channel = channel;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    @Override
    public String toString() {
        return "ArticleShareCodeSaveRequestVO{" +
                "itemId=" + itemId +
                ", practitionerId=" + practitionerId +
                ", shareCode='" + shareCode + '\'' +
                ", customerId=" + customerId +
                ", os=" + os +
                ", channel=" + channel +
                ", url='" + url + '\'' +
                '}';
    }
}
